%define anolis_release 1
Name:       xhost
Version:    1.0.9
Release:    %{anolis_release}%{?dist}
Summary:    Manage hosts or users allowed to connect to the X server

License:    MIT
URL:        https://www.x.org
Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  gcc make
BuildRequires:  gettext
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.22
BuildRequires:  pkgconfig(xtrans)

Obsoletes:  xorg-x11-server-utils < 7.7

%description
xhost is used to manage the list of host names or user names
allowed to make connections to the X server.

%package doc
Summary: Doc files for xhost
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Doc files for xhost

%prep
%autosetup

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files doc
%doc AUTHORS ChangeLog INSTALL README.md

%changelog
* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.0.9-1
- New version 1.0.9

* Tue Oct 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.8-1
- init from upstream
